Bug 13854 - Fix undefined reference in linking libMESSAGING-samba4.so
Fix undefined reference in linking libMESSAGING-samba4.so
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.10.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-22 06:42 UTC by Andrew Bartlett
Modified: 2019-04-03 10:36 UTC (History)
3 users (show)

See Also:


Attachments
patch cherry-picked from master for 4.10 (1.78 KB, patch)
2019-03-22 06:42 UTC, Andrew Bartlett
no flags Details
patch cherry-picked from master for 4.10 (1.83 KB, patch)
2019-03-22 06:46 UTC, Andrew Bartlett
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-03-22 06:42:28 UTC
Created attachment 14977 [details]
patch cherry-picked from master for 4.10

Patch in master needed in 4.10.x:

commit e66c34eeb5ccc6b60fa4ddd9ba75807f61307643
Author: Anoop C S <anoopcs@redhat.com>
Date:   Thu Dec 27 18:19:42 2018 +0530

    s4/messaging: Fix undefined reference in linking libMESSAGING-samba4.so
    
    Early check for DEVELOPER or ENABLE_SELFTEST configure options inside
    messaging_handlers.c leaves us with the following undefined reference
    linkage error:
    
    [1315/3712] Linking bin/default/source4/lib/messaging/libMESSAGING-samba4.so
    /usr/bin/ld: source4/lib/messaging/messaging.c.4.o: in function
                                                `imessaging_init_internal':
    /root/samba.git/bin/default/../../source4/lib/messaging/messaging.c:472:
                undefined reference to `imessaging_register_extra_handlers'
    collect2: error: ld returned 1 exit status
    
    This happened due to failure in including "includes.h" before checking
    the above mentioned configure options.
    
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-by: Andreas Schneider <asn@samba.org>
    Reviewed-by: Andrew Bartlett <abartlet@samba.org>
    (cherry picked from commit 08ba013a2b8b2cf9fc17fdcb3d107e1434709036)
Comment 1 Andrew Bartlett 2019-03-22 06:46:40 UTC
Created attachment 14978 [details]
patch cherry-picked from master for 4.10

(this time with BUG tag)
Comment 2 Andreas Schneider 2019-03-22 07:35:22 UTC
Comment on attachment 14978 [details]
patch cherry-picked from master for 4.10

LGTM
Comment 3 Andreas Schneider 2019-03-22 07:36:06 UTC
Karolin, please apply the patch to 4.10. Thanks!
Comment 4 Karolin Seeger 2019-03-28 08:40:46 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-10-test.
Comment 5 Karolin Seeger 2019-04-02 08:08:03 UTC
(In reply to Karolin Seeger from comment #4)
Pushed again to autobuild-v4-10-test.
Comment 6 Karolin Seeger 2019-04-03 10:36:18 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-10-test.
Closing out bug report.

Thanks!